<template>
  <Layout>

    <h1>Cepar Posts List</h1>

    <ul>
      <li v-for="edge in $page.posts.edges" :key="edge.node.id">
          <g-link :to="edge.node.path">{{ edge.node.title }}</g-link>
      </li>
    </ul>
 

  </Layout>
</template>

<page-query>
query Posts {
  posts: allCeparPost (sortBy: "date", order: DESC) {
    edges {
      node {
            id
            title
            path
        }
    }
  }
}
</page-query> 

<script>
export default {
  metaInfo: {
    title: 'Hello, world!'
  }
}
</script>

<style>
.home-links a {
  margin-right: 1rem;
}
</style>
